Download search_api-8.x-1.0-alpha15.tar.gztar.gz 321.85 KB
MD5: def08ffa9f5e081df63c76a156c9d65e
SHA-1: 371d83749adae3fcf1265877fefef652bfe20fd7
SHA-256: 30419530d056ad00b5c9cd056b67e9cf5b97a4720d9fc2939c082c0a5676cbe5
Download search_api-8.x-1.0-alpha15.zipzip 491.18 KB
MD5: 879244bab73f68f3f2db4e3b94c2608c
SHA-1: c214ee869b08b46c39a8ba42716bdb4ef052cefc
SHA-256: 99cb8569329e9b188669223a21629f1dd6aa236cf6d32706fbefdf4ac48a7289

Release info

Created by: drunken monkey
Created on: 23 May 2016 at 08:08 UTC
Last updated: 6 Jul 2016 at 13:13 UTC
Core compatibility: 8.x
Release type: Bug fixes, New features

Release notes

This is the Alpha 15 release of the Search API module's Drupal 8 version.

This release changes the configuration format of the default entity datasources (i.e., how the bundle and language settings are stored). This means manual intervention will likely be needed if you're updating to this version from Alpha 14 on a site with datasources restricted to certain bundles and/or languages.
There were no other major schema changes.

While there are no known major bugs and the module is fully usable at this point, this version is still unstable and should only be used with great care in a production environment. No data update paths will be provided for Alpha versions of this module, so upgrading to this version, or from this to a later one, might discard some of your search configuration. Use with care!

For information about the development progress, see the list of issues, and especially the list of Beta blockers.

This release is compatible with the following add-on module versions:

Complete list of changes since the Alpha 14 release:

Dependencies

The selected release is the release that will be used for automated testing. Optional projects are only used for testing.

Required

No required projects

Optional

No optional projects